> ## Documentation Index
> Fetch the complete documentation index at: https://docs.usesimple.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Search Custom Data

> Search indexed custom data tables

This searches tables that have `searchIndexingEnabled` set to `true`.


## OpenAPI

````yaml POST /data/search
openapi: 3.1.0
info:
  title: Public API v1
  description: >-
    Public API v1 requiring API keys.


    **Timestamps:** All datetime fields in API responses are returned in UTC
    using ISO 8601 format (e.g., `2024-01-15T14:30:00Z`). When filtering by date
    parameters, provide timestamps in ISO 8601 format.
  version: 0.1.0
servers:
  - url: https://api.prod.usesimple.ai/api/v1
    description: Production API Server
security: []
paths:
  /data/search:
    post:
      tags:
        - Custom Data
      summary: Search Custom Data
      description: Search across custom data tables that have search indexing enabled.
      operationId: search_custom_data_data_search_post
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CustomDataSearchRequest'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CustomDataSearchResponse'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
      security:
        - APIKeyHeader: []
components:
  schemas:
    CustomDataSearchRequest:
      type: object
      required:
        - query
      properties:
        query:
          type: string
          minLength: 1
          maxLength: 5000
          title: Query
          description: Natural-language search query.
      title: Custom Data Search Request
    CustomDataSearchResponse:
      type: object
      required:
        - answer
        - records
      properties:
        answer:
          type: string
          title: Answer
        records:
          type: array
          items:
            type: object
            additionalProperties: true
          title: Records
      title: Custom Data Search Response
    ErrorResponse:
      type: object
      required:
        - status
        - success
        - error
        - errors
      properties:
        status:
          type: string
          default: error
        success:
          type: boolean
          default: false
        error:
          type: string
          title: Error
        errors:
          items:
            type: string
          type: array
          title: Errors
      title: Error Response
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      in: header
      name: Authorization

````